Package org.eclipse.cdt.core.settings.model

## Interface ICFileDescription

All Superinterfaces:
  `ICResourceDescription`, `ICSettingBase`, `ICSettingContainer`, `ICSettingObject`

    public interface ICFileDescription
    extends ICResourceDescription

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICLanguageSetting` `getLanguageSetting()`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICResourceDescription

`canExclude, getParentFolderDescription, getPath, isExcluded, setExcluded, setPath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingContainer

`getChildSettings`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

### Method Detail

#### getLanguageSetting

    ICLanguageSetting getLanguageSetting()